package com.iamberry.wechat.core.entity.reback;

import java.util.Date;

import com.iamberry.wechat.core.entity.PageBean;

/**
 * 返利的实体类
 * @author ouyang
 * @date 2016-05-25
 * @version v_0.01
 */
public class RebackInfo implements java.io.Serializable{

	/**
	 * 
	 */
	private static final long serialVersionUID = 6321670947279419783L;
	private int id;
	private String orderId;
	private String fromOpenid;
	private String toOpenid;
	private int userType;  //1:待返现；2：已返现；3：取消
	private int money;
	private int status; 
	private Integer roleId;
	private Integer userId;		//存值为：placeId或是userId
	private Date createDate;
	private Date updateDate;
	private Date finishDate;
	
	private PageBean page;  //用于分页的考虑
	
	public int getId() {
		return id;
	}
	public void setId(int id) {
		this.id = id;
	}
	public String getOrderId() {
		return orderId;
	}
	public void setOrderId(String orderId) {
		this.orderId = orderId;
	}
	public String getFromOpenid() {
		return fromOpenid;
	}
	public void setFromOpenid(String fromOpenid) {
		this.fromOpenid = fromOpenid;
	}
	public String getToOpenid() {
		return toOpenid;
	}
	public void setToOpenid(String toOpenid) {
		this.toOpenid = toOpenid;
	}
	public int getUserType() {
		return userType;
	}
	public void setUserType(int userType) {
		this.userType = userType;
	}
	public int getMoney() {
		return money;
	}
	public void setMoney(int money) {
		this.money = money;
	}
	public int getStatus() {
		return status;
	}
	public void setStatus(int status) {
		this.status = status;
	}
	public Date getCreateDate() {
		return createDate;
	}
	public void setCreateDate(Date createDate) {
		this.createDate = createDate;
	}
	public Date getUpdateDate() {
		return updateDate;
	}
	public void setUpdateDate(Date updateDate) {
		this.updateDate = updateDate;
	}
	public Date getFinishDate() {
		return finishDate;
	}
	public void setFinishDate(Date finishDate) {
		this.finishDate = finishDate;
	}

	public PageBean getPage() {
		return page;
	}
	public void setPage(PageBean page) {
		this.page = page;
	}
	public Integer getRoleId() {
		return roleId;
	}
	public void setRoleId(Integer roleId) {
		this.roleId = roleId;
	}
	public Integer getUserId() {
		return userId;
	}
	public void setUserId(Integer userId) {
		this.userId = userId;
	}
	@Override
	public String toString() {
		return "RebackInfo [id=" + id + ", orderId=" + orderId
				+ ", fromOpenid=" + fromOpenid + ", toOpenid=" + toOpenid
				+ ", userType=" + userType + ", money=" + money + ", status="
				+ status + "]";
	}
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
}
